# Uses of Interface
com.sun.source.tree.NewArrayTree

Packages that use NewArrayTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of NewArrayTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type NewArrayTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitNewArray​(NewArrayTree node, P p)`
Visits a NewArrayTree node.

## Uses of NewArrayTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type NewArrayTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitNewArray​(NewArrayTree node, P p)`
Visits a NewArrayTree node.
`R`
TreeScanner.`visitNewArray​(NewArrayTree node, P p)`
Visits a NewArrayTree node.